function  s = asciitab(nn)
% s = asciitab(nn)
% gibt einen String aus, der pro Zeile ein ASCII-Zeichen enthlt 
% mit folgenden Angaben:  Binrcode, Hex-Code, Dezimalwert, Zeichensymbol.
% Es werden die Zeilen fr alle Werte des Vektors nn ausgegeben.
% Default: nn = 0:255

if nargin<1  nn = 0:255; end
s = '';
for k=nn
   s =[s  sprintf('\n')  num2basstr(k,2,8)  '  '  ...
       num2basstr(k,16,2)  '  '  num2basstr(k,10,3)  '  '  char(k)]; 
end