function tree = bintab2bintree(tab)
% tree = bintab2bintree(tab)
% Wandlung eines binren Vektors der Lnge 2^k
% in einen Binrbaum der Form {{{...};{...}};{{...};{...}}}

% Autor:  Klaus von der Heide,  v.d.heide@on-line.de

n = length(tab);
if n==1 
   tree = tab;
else
   tree = {bintab2bintree(tab(1:n/2)); bintab2bintree(tab(n/2+1:n))};
end