function b = compareexpression(expr1,expr2,vars)
% b = compareexpression(expr1,expr2,vars)
% die beiden Schaltalgebraischen Ausdrcke expr1 und expr2 
% werden fr alle binren Kombinationen der Variable vars 
% evaluiert und verglichen.  Im Fall der vollstndigen 
% quivalenz ist b = 1 und 0 sonst.

t1 = binexp2bintab(expr1,vars);
t2 = binexp2bintab(expr2,vars);
b  = all(t1==t2);

if ~nargout
   Vergleich{1} = 'Vergleich der schaltalgebraischen Ausdrcke:';
   Vergleich{2} = expr1;
   Vergleich{3} = expr2;
   if b
      Vergleich{4} = 'die Ausdrcke sind quivalent';
   else
      Vergleich{4} = ['die Funktionstabellen unterscheiden sich in ' num2str(sum(t1~=t2)) ' Eintrgen'];
   end
   result2fig(Vergleich)
end
