function stellen = demobruch(basis,zahl,n)
% stellen = demobruch(basis,zahl,n)
% Stellen-orientierte Zahlendarstellung zur Basis basis.
% basis :  Basis der Darstellung (natrliche Zahl>1)
% zahl  :  darzustellende Zahl
% n     :  Anzahl der gewnschten Nachkommastellen

a = floor(zahl);
b = zahl - a;
i = 1;
while a > 0
   vstellen(i) = mod(a,basis);
   a = div(a,basis);
   i = i + 1;
end

a = b*basis;
for i=1:n
   nstellen(i) = floor(a);
   a = (a - floor(a))*basis;
end


% Darstellung als String
% ======================

stellen = [num2basstr2(reverse(vstellen)',basis)' '.' num2basstr2(nstellen',basis)'];

if ~nargout  result2fig(stellen); end