function demofixpointaddcb(k)
% demofixpointaddcb(k)
% CallBack-Funktion fr demofixpointadd

% Daten importieren
% =================
cfg  = gcf;
fud  = get(cfg,'UserData');
uih  = fud.uih;
vth  = fud.vth;
ustr = fud.ustr;
data = fud.data;
b = data(1);
n = data(2);
x = data(3);
y = data(4);
datk = get(gcbo,'String');

% Konstanten
% ==========
txv  = {'b='; 'n='; 'x='; 'y='};

% Prfung der Eingabe
% ===================
eval([txv{k} datk '; chk=0;'],'chk=1;')

% Falscheingabe
% =============
if chk
   sound(sin(2*pi*1000/8000*(0:1000)),8000); 
   set(uih(k),'String',ustr{k})
else

% Eintragung der nderungen
% =========================
if x<0
   vt1 = num2basstr(floor(abs(x)),b,n);
   vt3 = komplemb1(b,vt1);
   vt5 = komplemb(b,vt1);
   rx  = vt5;
else 
   vt1 = '';
   vt3 = '';
   vt5 = '';
   rx  = num2basstr(x,b,n);
end

if y<0
   vt2 = num2basstr(floor(abs(y)),b,n);
   vt4 = komplemb1(b,vt2);
   vt6 = komplemb(b,vt2);
   ry  = vt6;
else 
   vt2 = '';
   vt4 = '';
   vt6 = '';
   ry  = num2basstr(floor(y),b,n);
end

vt9  = '';
for k=0:n-1  vt9 = [sprintf('%d',mod(k,10)) vt9]; end

xbv  = basstr2basvec(rx,b);
ybv  = basstr2basvec(ry,b);
cbv(1) = 0;
for k=1:n
   [zbv(k) cbv(k+1)] = fulladd(xbv(k),ybv(k),cbv(k),b); % Addition
end

vt12 = basvec2str(cbv,n);
vt13 = basvec2str(zbv,n);
if basstr2num(vt13(1),b)>floor((b-1)/2)
   vt14 = komplemb1(b,vt13);
   vt15 = komplemb(b,vt13);
   vt16 = num2str(-basstr2num(vt15,b));
else
   vt14 = '';
   vt15 = '';
   vt16 = num2str(basstr2num(vt13,b));
end
set(vth(1),'String',vt1)
set(vth(2),'String',vt2)
set(vth(3),'String',vt3)
set(vth(4),'String',vt4)
set(vth(5),'String',vt5)
set(vth(6),'String',vt6)
set(vth(7),'String',rx)
set(vth(8),'String',ry)
set(vth(9),'String',vt9)
set(vth(10),'String',rx)
set(vth(11),'String',ry)
set(vth(12),'String',vt12)
set(vth(13),'String',vt13)
set(vth(14),'String',vt14)
set(vth(15),'String',vt15)
set(vth(16),'String',vt16)

% Neue Daten exportieren
% ======================
   fud.uistr = ustr;
   fud.data  = [b n x y];
   set(cfg,'UserData',fud);
end