function demovectorop(a,b)
% demovectorop(a,b)

% Defaults und berprfung der Parameter
% ======================================
if nargin<1  a = randb(8); end
if nargin<2  b = randb(8); end
if length(a)~=length(b)
   if length(a)~=1 & length(b)~=1  result2fig('Vektorlngen berprfen!'); end
end
if length(a)==1 & length(b)==1  result2fig('Vektorlngen berprfen!'); end

% Vektoroperationen
% =================
if length(a)==length(b)
   s = a ~= b;  % Vektorsumme
else
   p = a*b;
end

% Ausgabe
% =======
if length(a)>1
   Vektoroperationen{1} = ['Vektor a :    '  num2str(a)];
else
   Vektoroperationen{1} = ['Skalar a :    '  num2str(a)];
end
if length(b)>1
   Vektoroperationen{2} = ['Vektor b :    '  num2str(b)];
else
   Vektoroperationen{2} = ['Skalar b :    '  num2str(b)];
end
if length(a)==1
   Vektoroperationen{3} = ['Multiplikation mit Skalar a : '  num2str(p)];
elseif length(b)==1
   Vektoroperationen{3} = ['Multiplikation mit Skalar b : '  num2str(p)];
else
   Vektoroperationen{3} = ['Vektorsumme : '  num2str(s)];
end
result2fig(Vektoroperationen)