function h = drawbinfcn(fcn,t1,t2,varargin)
% h = drawbinfcn(fcn,t1,t2,varargin)
% Darstellung der Schaltfunktion fcn als Signal
% im Zeitbereich  t1 <= t <= t2.
% fcn ist ein String, der die Funktion beschreibt 
% mit der Zeitvariablen t.
% Alle line properties knnen beginnend mit dem 
% vierten Parameter angegeben werden.
% Ausgegeben wird das Handle des line object.

n  = 500;
tt = t1:(t2-t1)/n:t2;
for k=1:n
   t = tt(k);
   binvec(k) = eval(fcn);
end
t = [tt(1)  nfach(tt(2:end-1),2)  tt(end)];
x = nfach(binvec(1:end),2);
h = line(t,x,varargin{:});