function drawdreg
% drawdreg
% Graphik fr ein einfaches Datenregister.

% Autor:  Klaus von der Heide  e-mail:  v.d.heide@on-line.de

% Konstanten
% ==========
fsiz  = 18;
pos   = [3 4; 1 1];
pcol  = 0.9*[1 1 1];
lcol1 = 0.8*[0.7 1 1];
lcol2 = 0.8*[1 0.7 1];

% Graphik
% =======
fh = fullscreen('D-Register','w',0,pos);
axes('Position',[0 0 1 1])
patch([3 5 5 3],[3 3 6 6],pcol);
patch([0 2 2 3 2 2 0],[4 4 3.5 4.5 5.5 5 5],lcol1);
patch([5 7 7 8 7 7 5],[4 4 3.5 4.5 5.5 5 5],lcol2);
drawarr([4 1],[4 3],'k',2,0.3);
text(0.5,4.5,'D','FontSize',fsiz,'HorizontalAlignment','center',...
     'VerticalAlignment','middle','FontUnits','normalized')
text(6.5,4.5,'Q','FontSize',fsiz,'HorizontalAlignment','center',...
     'VerticalAlignment','middle','FontUnits','normalized')
text(4.2,1,'Takt','FontSize',fsiz,'HorizontalAlignment','left',...
     'VerticalAlignment','baseline','FontUnits','normalized')
axis([0 8 0 8]); axis square; axis off
