function  drawfsmupdate(fh)
% drawfsmupdate(fh)
% UpdateFcn fr drawfsm mit figurehandle fh.

% Konstanten
% ==========
lw = 1.5;                   % LineWidth
nc = 0.7*[1 1 1];           % Knoten-Farbe
sc = 'g';                   % Farbe selektierter Knoten
nl = 'k';                   % Kanten-Farbe
sl = 'r';                   % Farbe selektierter Kanten
fud = get(fh,'UserData');   % Figure-User-Data
[ns,nx] = size(fud.stab);   % Anzahl der Zustnde und Eingangskombinationen

% nderungen in der Graphik
% =========================
for k=1:ns
   for j=1:nx
      set(findobj(flach(fud.edges{k,j}),'Type','patch'),'FaceColor',nl)
      set(findobj(flach(fud.edges{k,j}),'Type','line'),'Color',nl,'LineWidth',lw)
   end
end
set(fud.nodes,'FaceColor',nc);
set(findobj(fud.edges{fud.currs,fud.currx},'Type','patch'),'FaceColor',sl)
set(findobj(fud.edges{fud.currs,fud.currx},'Type','line'),'Color',sl,'LineWidth',3)
set(fud.nodes(fud.currs),'FaceColor',sc);
