function c = einschritt(n)
% c = einschritt(n)
% c ist ein Vektor der Lnge n, dessen Komponenten 
% die Ganzzahlinterpretation der ceil(log2(n))-Bit-
% Codewrter eines einschrittigen Binrcodes sind.
% Wenn n gerade ist, ist der Code zyklisch einschrittig.

if n==2  
   c = [0 1]; 
else
   ca = einschritt(ceil(n/2));
   cb = reverse(ca);
   c  = [ca  2^ceil(log2(n/2))+cb(1:floor(n/2))];
end 