function kvdiagramkpf
% kvdiagramkpf
% KeyPressFcn fr kvdiagram

global KVMINEXP KVMINCOST;

col = color(1:64,0.7,3);
col = col(1+rem(1:4:2000,59),:);
cfg = gcf;
fud = get(cfg,'UserData');
cc  = get(cfg,'CurrentCharacter');
switch cc
case '0'
   fud.currloop = 0;
   fud.cc = '0';
   nl = ones(1,128)*nan; 
   nl([53:60 68:77 83 84 93 94 98 99 110 111 114 115 126 127]) = 1; 
   nll = reshape([nl reverse(nl)],16,16); 
   set(gcf,'Pointer','custom','PointerShapeCData',nll,'PointerShapeHotSpot',[8 8])
case '1'
   fud.currloop = 0;
   fud.cc = '1';
   nl = ones(1,256)*nan; 
   nl([85 100 101 115 116 130:143 146:159]) = 1; 
   nll = reshape(nl,16,16); 
   set(gcf,'Pointer','custom','PointerShapeCData',nll,'PointerShapeHotSpot',[8 8])
case '*'
   fud.currloop = 0;
   fud.cc = '*';
   nl = ones(1,128)*nan; 
   nl([37 44 53 54 59 60 70 75 87 90 104 105 114:127]) = 1; 
   nll = reshape([nl reverse(nl)],16,16); 
   set(gcf,'Pointer','custom','PointerShapeCData',nll,'PointerShapeHotSpot',[8 8])
case '+'
   if ~isempty(fud.loop{fud.currloop})
      fud.currloop = fud.currloop + 1;
   end
   if fud.currloop>length(fud.loop)  
      fud.loop{fud.currloop} = [];
      set(fud.lph(fud.currloop),'Visible','off')
   end
   set([fud.ph(fud.loop{fud.currloop}),fud.ph2],'FaceColor',col(fud.currloop,:))
   set(fud.lph(1:fud.currloop),'Visible','on')
case '-'
   fud.currloop = max(1,fud.currloop - 1);
   set([fud.ph(fud.loop{fud.currloop}),fud.ph2],'FaceColor',col(fud.currloop,:))
case 'r'
   n = round(log2(length(fud.tab)));
   if fud.dmf  
      dkop = '&';
      dkc  = ') | (';
      dks1 = '';
      dks0 = '~';
   else
      dkop = '|';
      dkc  = ') & (';
      dks1 = '~';
      dks0 = '';
   end
   r = '(';
   for k=1:length(fud.loop)
      if ~isempty(fud.loop{k})
         x = num2binmat(fud.loop{k}'-1,n);
         for j=1:n
            if all(x(:,j))   r = [r dks1 fud.variable{j} dkop]; end
            if all(~x(:,j))  r = [r dks0 fud.variable{j} dkop]; end
         end
         r = [r(1:end-1) dkc];
      end
   end
   KVMINEXP  = r(1:end-4)
   KVMINCOST = aufwand(KVMINEXP)
case {'D','d'}
   fud.dmf = 1;
   set(gcf,'Pointer','arrow')
case {'K','k'}
   fud.dmf = 0;
   set(gcf,'Pointer','arrow')
case {'h','H'}
   fsiz = 13;
   fud = get(cfg,'UserData');
   nz = length(fud.helptext);
   fh = fullscreen('Hilfe','w',0,[0 0.6 0 1]);
   set(fh,'ButtonDownFcn','delete(gcf)')
   axes('Position',[0.1 0.1 0.8 0.8])
   axis([0 1 -nz 2])
   axis off
   text(0,-nz/2,fud.helptext,'FontSize',fsiz)
end
set(cfg,'UserData',fud)

if double(cc)==27  msvdelfig;   end   % delete all
if double(cc)==127 delete(gcf); end   % delete

