function  r = naninfoperation
% r = naninfoperation
% String mit Tabellen der Resultate von Operationen mit inf und NaN

x = [0 +inf -inf nan];     % Operanden

s = '<+-*/';               % Operationen

warning('off')
r = [];
for i=1:length(s)          % alle Operationen
   r = [r sprintf('\n\n\n     %s  |%6d%6d%6d%6d\n   -----|------------------------',s(i),x)];
   for j=1:length(x)       % alle ersten Operanden
      r = [r sprintf('\n %6d |',x(j))];
      for k=1:length(x)    % alle zweiten Operanden  
         r = [r sprintf('%6d',feval(s(i),x(j),x(k)))]; 
      end
   end
end
warning('on')

if ~nargout
  NaN_Operation = r;
  result2fig(NaN_Operation)
end