function irred = poly_find_irreducible(m, p)
% Finde ein irreduzibles Polynom vom Grad m in Zp[x]

% Autor: Peter Grotrian, grotrian@acm.org

a = [1 0 0];
while ~ poly_is_irreducible(a, p)
   a = floor(p * rand(1, m+1));
   a([1,end]) = floor((p - 1) * rand(1,2)) + 1;
end
irred = a;