function primitive = poly_find_primitive(m, p)
% Finde ein irreduzibles Polynom vom Grad m in Zp[x]

% Autor: Peter Grotrian, grotrian@acm.org

q1 = p^m - 1;
% q1 Faktorisieren und jeden Primfaktor hchstens einmal in primes ablegen
f = factor(q1);
l = logical(diff([0,f]));
primes = f(l);
   
a = poly_find_irreducible(m, p);
while ~ poly_is_primitive(a, p, primes)
   a = poly_find_irreducible(m, p);
end
primitive = a;