%
%
%8.1  Definition %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% {\bfB}{\fontname{Courier} = \{0,1\}}  sei die binre Menge.  Eine Abbildung   {\fontname{Courier}f:{\bfB}^n \rightarrow {\bfB}^m}   bezeichnen wir als  
% {\bfSchaltnetz}  von  {\fontname{Courier}n}  Eingngen und   {\fontname{Courier}m}  Ausgngen. 
%
% Schaltnetze lassen sich wie Schaltfunktionen durch Tabellen beschreiben.  
% Nachfolgend ein Beispiel eines Schaltnetzes bestehend aus 8 Schaltfunktionen 
% mit je 4 Variablen:
%
%       a             Tabelle der    %<'FontName',MSVFORMFONT>                          
%       | b          Schaltfunktion  %<'FontName',MSVFORMFONT>                   
%       | | c       1 2 3 4 5 6 7 8  %<'FontName',MSVFORMFONT>                     
%       | | | d  ------------------  %<'FontName',MSVFORMFONT>                          
%       0 0 0 0 |   1 1 0 0 1 1 0 0  %<'FontName',MSVFORMFONT> 
%       0 0 0 1 |   1 1 0 1 1 0 1 1  %<'FontName',MSVFORMFONT> 
%       0 0 1 0 |   1 0 1 0 1 1 0 0  %<'FontName',MSVFORMFONT> 
%       0 0 1 1 |   0 1 1 1 1 1 0 0  %<'FontName',MSVFORMFONT> 
%       0 1 0 0 |   1 0 0 1 0 0 1 1  %<'FontName',MSVFORMFONT> 
%       0 1 0 1 |   0 0 1 0 1 0 1 1  %<'FontName',MSVFORMFONT> 
%       0 1 1 0 |   0 1 1 0 1 1 1 0  %<'FontName',MSVFORMFONT> 
%       0 1 1 1 |   0 1 0 1 0 1 0 1  %<'FontName',MSVFORMFONT> 
%       1 0 0 0 |   0 1 1 0 1 1 1 1  %<'FontName',MSVFORMFONT> 
%       1 0 0 1 |   1 1 0 0 0 0 0 1  %<'FontName',MSVFORMFONT> 
%       1 0 1 0 |   1 0 1 1 1 0 1 1  %<'FontName',MSVFORMFONT> 
%       1 0 1 1 |   0 0 1 1 0 1 0 1  %<'FontName',MSVFORMFONT> 
%       1 1 0 0 |   1 1 0 0 0 0 0 0  %<'FontName',MSVFORMFONT> 
%       1 1 0 1 |   1 0 1 0 1 1 0 1  %<'FontName',MSVFORMFONT> 
%       1 1 1 0 |   0 0 0 0 1 1 0 0  %<'FontName',MSVFORMFONT> 
%       1 1 1 1 |   1 1 0 0 1 1 1 0  %<'FontName',MSVFORMFONT> 
%
% Nachfolgend werden Schaltnetze mit Zufallsgenerator in Matlab erzeugt und 
% ihre Tabellen ausgegeben.
%
%% Das folgende MATLAB-Skript mehrfach anklicken:
%
n = 1 + randnat(4);    % zufllige Anzahl von Variablen von 2...5
m = 1 + randnat(15);   % zufllige Anzahl von Schaltfunktionen 2...16
v = {'a';'b';'c';'d';'e'};  % Bezeichner der Variablen
clear f dnf            % mglicherweise vorhandene Funtionen lschen
f = randb([m  2^n]);   % zufllige Funktionstabellen
for k=1:m  dnf{k} = bintab2dnfexp(f(k,:),{v{1:n}}); end  % DNF der Funktionen
binexp2bintab3(dnf,{v{1:n}},2)  % Tabellierung der Funktionen
%