function demolagrangeinterpolation(n)
% demolagrangeinterpolation(n)
% Graphik zur Demonstration eines Polynoms 
% durch gegebene Punkte.
% n :  Polynomgrad  (Default: 7)

if nargin<1  n = 7; end

xi = (0:n)/n; 
yi = randn(size(xi)); 
x  = (0:500)/500; 
y  = lagrangeinterpol(xi,yi,x); 
fh = fullscreen('Lagrange'); 
plot(x,y); 
line(xi,yi,'Marker','*','LineStyle','none','Color','r','MarkerSize',10)
title('Lagrange-Interpolation','FontSize',15)   
