function dx = diffprediction(x,n)
% dx = diffprediction(x,n)
% dx ist die Differenz zwischen tatschlichem Wert von x 
% und der Prdiktion mit einem Polynom n-ten Grades aus 
% den jeweils n+1 Werten.

for k=1:length(x)-n-1
   p = polyfit(0:n,x(k:k+n),n); 
   dx(k) = x(k+n+1) - polyval(p,n+1);   
end