function h = drawbinsig(binvec,t0,dt,varargin)
% h = drawbinsig(binvec,t0,dt,varargin)
% Darstellung des Binrvektors binvec als Signal
% beginnend bei t0 mit der Schrittweite dt.
% Alle line properties knnen beginnend mit dem 
% vierten Parameter angegeben werden.
% Ausgegeben wird das Handle des line object.

t = t0 + dt*(0:length(binvec));
t = [t(1)  nfach(t(2:end-1),2)  t(end)];
x = nfach(binvec(1:end),2);
h = line(t,x,varargin{:});

