function drawsigstwolatchrand(n)
% drawsigstwolatchrand(n)
% n :  Anzahl der Simulationen (Default 20)

if nargin<1  n = 20; end

D  = [0 0 0 0 0 0 1 1 1 0 1 0 1 0 0 0 0 0 0 1 0 1 0]; % Dateninput
C1 = [0 0 1 0 0 0 0 1 0 0 0 0 0 0 1 0 0 0 1 1 1 1 1]; % Taktinput 1
C2 = [0 0 0 0 1 0 0 0 0 1 1 0 0 0 0 0 1 0 1 1 1 1 1]; % Taktinput 2
xnam = {'D';'C1';'C2'};
insigs = nfach([D; C1; C2],20);                       % Inputmatrix fr drawswsigs
delta = {'(~C1&z1)|(C1&D)|(D&z1)';'(~C2&z2)|(C2&z1)|(z1&z2)'}; % berfhrungsfunktion
k = 1;
dly = {ceil(3*rand(1,4)); ceil(3*rand(1,4))}; 
fh  = drawswsigs(delta,xnam,dly,insigs);
lh(k,:) = findobj(gcf,'Type','line','color','r');
set(lh,'visible','off')
for k=2:n 
   dly = {ceil(3*rand(1,4)); ceil(3*rand(1,4))}; 
   fhk = drawswsigs(delta,xnam,dly,insigs); 
   lhk = findobj(gcf,'Type','line','color','r');
   xd  = get(lhk,'XData');
   yd  = get(lhk,'YData');
   delete(fhk)
   lh(k,:) = [line(xd{1},yd{1},'Color','r','LineWidth',2.5,'visible','off'),
              line(xd{2},yd{2},'Color','r','LineWidth',2.5,'visible','off')];
end
set(fh,'UserData',1,'WindowButtonDownFcn','set(gcf,''UserData'',0)')
s = 1;
while s 
   for k=1:n 
      s = get(gcf,'UserData'); 
      if ~s  return; end; 
      set(lh(k,:),'visible','on')
      pause(0.001); 
      set(lh(k,:),'visible','off')
   end; 
end
