function c = hadamardcode
% c = hadamardcode
% Matrix der Codewrter des Hadamardcodes

c( 1,:) = [0 0 0 0 0 0 0 0 0 0 0];
c( 2,:) = [1 1 0 1 1 1 0 0 0 1 0];
for k= 3:12  c(k,:) = rotatevector(c( 2,:),k-2); end
c(13,:) = [0 0 1 0 0 0 1 1 1 0 1];
for k=14:23  c(k,:) = rotatevector(c(13,:),k-2); end
c(24,:) = [1 1 1 1 1 1 1 1 1 1 1];

if ~nargout
   Hadamardcode = c;
   result2fig(Hadamardcode);
end
