function  G = hamminggenerator(r,m)
% G = hamminggenerator(r,m)
% Erzeugt fr einen binren (n,k)-Hammingkode 
% mit  n = 2^r - 1  und  k = n - r
% m = 0  :  Die Generatormatrix  (default)
% m ~= 0 :  Die Prfmatrix

% Autor:  Klaus von der Heide,  v.d.heide@on-line.de

if nargin<2  m = 0; end
if nargin<1  r = 3; end
i=0; 
for k=1:r-1 
   for l=(2^k+1):(2^(k+1)-1) 
      i=i+1; 
      A(i,:)=num2binvec(l,r); 
   end; 
end;
if m  G = [A; eye(r)]; else G = [eye(i) A]; end

if ~nargout  
   if m
      Pruefmatrix = G;
      result2fig(Pruefmatrix); 
   else
      Generatormatrix = G;
      result2fig(Generatormatrix);
   end
end