function z = poly_mul_mod(x, y, modul, p)
% multiplikation: z = x * y (mod modul)
% 
% x, y, modul: Polynome aus Zp[x] (Koeffizientenvektoren)

% Autor: Peter Grotrian, grotrian@acm.org

a = conv(x, y);
[quot,z] = deconv(a, modul);

z = mod(z, p);
% fhrende Nullen entfernen (z hat bereits Koeffizienten >= 0 durch vorige Zeile!)
z(find(cumsum(z) == 0)) = [];
