function x = randbfcn(t)
% x = randbfcn(t)
% Binre Zufallsfunktion. Der mittlere Abstand der Bitwechsel ist etwa 1.
% t  :  kontinuierliche Zeit -inf < t < +inf 
% Die Funktion sollte nicht fr Monte-Carlo-Methoden verwendet werden,
% da die statistischen Eigenschaften sehr schlecht sind.  Diese total 
% bldsinnige Funktion ist fr graphische Darstellungen gedacht. 
% Es steckt kein System hinter der Wahl der Konstanten.

p = primes(2^14);
n = length(p);
r = p([13 100 130 500 1000])/4000;
d = [0.3  1.9 127 333 1024];
for k=1:length(t)
   s = cos(t(k)*r);
   x(k) = rem(sum((cos(t(k)*r+d))>0),2);
end