function dnf = randomschaltnetz(p,q)
% dnf = randomschaltnetz(p,q)
% p :   zufllige Anzahl von Variablen von 2...p
% q :   zufllige Anzahl von Schaltfunktionen 2...q
% dnf : CellArray of Strings mit der DNF der Funktionen

if nargin<1  p = 5;  end    % zufllige Anzahl von Variablen von 2...p
if nargin<2  q = 16; end    % zufllige Anzahl von Schaltfunktionen 2...q
n = 1 + randnat(p-1);
m = 1 + randnat(q-1);
v = {'a';'b';'c';'d';'e'};  % Bezeichner der Variablen
f = randb([m  2^n]);        % zufllige Funktionstabellen
for k=1:m  dnf{k} = bintab2dnfexp(f(k,:),{v{1:n}}); end  % DNF der Funktionen
binexp2bintab3(dnf,{v{1:n}},2)  % Tabellierung der Funktionen
