function y = reducebintree(x)
% y = reducebintree(x)
% Der zweite von zwei gleichen sten an einer Verzweigung
% in einem Binrbaum wird durch -1 ersetzt.

% Autor:  Klaus von der Heide,  v.d.heide@on-line.de

if iscell(x{1})
   if cmpbintree(x{1},x{2})
      y = {reducebintree(x{1}); -1};
   else   
      y = {reducebintree(x{1});reducebintree(x{2})};
   end
elseif x{1}==x{2}
   y = {x{1}; -1};
else
   y = x;
end