%
%
%11.3  Zeitverhalten %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Wir modellieren das \delta-Schaltnetz des Schaltwerkes mit dem fundamentalen Modell, 
% jedoch etwas erweitert dadurch, dass wir zwei Werte fr die Verzgerung angeben, 
% nmlich  {\fontname{Courier}\tau_{\deltamax}}  als die maximale Verzgerung und  {\fontname{Courier}\tau_{\deltamin}}  als die minimale Verzgerung.  
% Wird also zur Zeit  {\fontname{Courier}t}  am Eingang des \delta-Schaltnetzes ein Bit gendert, so knnen 
% nderungen der Bits des Folgezustandes  {\fontname{Courier}z_{next}}  nur geschehen im Zeitintervall  
% {\fontname{Courier}[t+\tau_{\deltamin}, t+\tau_{\deltamax}]} .  Auch mgliche Strukturhasards liegen in diesem Intervall.  
% Man braucht sie bei getakteten Schaltwerken also nicht beseitigen.
%
% Das Zeitverhalten des getakteten Zeitgliedes sei beschrieben durch die Voreinstell- 
% und die Haltezeit der Flipflops sowie durch eine Verzgerung  {\fontname{Courier}\tau_{ff}} , die die Lnge des 
% Zeitintervalls beschreibt zwischen der relevanten Taktflanke und dem Erscheinen des 
% neuen gespeicherten Wertes am Ausgang des Zeitgliedes.
%
% Das folgende Bild zeigt rechts das Schaltwerkmodell mit den rot eingetragenen 
% Verzgerungen, wobei  {\fontname{Courier}\tau_{\deltamin}}  und  {\fontname{Courier}\tau_{\deltamax}}  nur als  {\fontname{Courier}\tau_\delta}  erscheint. 
%
fsmtiming
%
% Links unten im Bild ist das Zeitschema fr den Ablauf zwischen zwei Takten angegeben. 
% Offenbar kann  {\fontname{Courier}z_{next}}  sich nach einem Takt zur Zeit  {\fontname{Courier}t}  nur ndern im Zeitintervall 
% {\fontname{Courier}[t+\tau_{ff}+\tau_{\deltamin}, t+\tau_{ff}+\tau_{\deltamax}]} .  Das Ende dieses Intervalls darf nicht in den Bereich 
% der Voreinstellzeit der Flipflops fr den folgenden Takt hineinragen.  Fr den Abstand  
% {\fontname{Courier}T}  zweier Takte muss deshalb gelten:
%
% T > \tau_{ff} + \tau_{\deltamax} + S             %<'FontName',MSVFORMFONT>
%
% Hieraus folgt fr die Taktfrequenz  {\fontname{Courier}f_T} :
%
% f_T < 1 / (\tau_{ff} + \tau_{\deltamax} + S)     %<'FontName',MSVFORMFONT>
%
% Ausserdem entnimmt man dem Schema, dass unabhngig vom Takt auf jeden Fall gelten muss:
%
% \tau_{ff} + \tau_{\deltamin} > H                 %<'FontName',MSVFORMFONT>
%
% Whrend man die erste Bedingung durch eine geeignete Taktfrequenz immer erfllen kann,
% ist diese zweite Bedingung eine Grundvoraussetzung.  Fast immer ist aber bei Flipflops 
% sowieso schon  {\fontname{Courier}\tau_{ff} > H} , so dass die Einhaltung unproblematisch ist.
%
% Das Zeitschema links oben im Bild zeigt den Ablauf ausgehend von einer nderung 
% des Einganges  {\fontname{Courier}x} .  Damit eine solche nderung durch das \delta-Schaltnetz um maximal 
% {\fontname{Courier}\tau_{\deltamax}}  verzgert nicht in die Voreinstellzeit des Zeitgliedes fllt, muss die nderung 
% entsprechend frh erfolgen.  Andererseits darf die die nderung auch nicht in die 
% Haltezeit fallen.  Es ergibt sich daraus das Zeitintervall, in dem nderungen des 
% Inputs zugelassen sind.  Dabei ist  {\fontname{Courier}t}  der Zeitpunkt des ersten Taktes und  {\fontname{Courier}t + T} 
% der des nachfolgenden Taktes:
%
% [t+H-\tau_{\deltamin}, t+T-S-\tau_{\deltamax}]   %<'FontName',MSVFORMFONT>
%
% Man sieht an dem im Bild gezeigten Beispiel, dass die korrekte Eingabe in ein Schaltwerk 
% kritischer sein kann als der interne Ablauf.
%
