%
%
%12.1  Register-Transfer-Ebene  %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Die Komponenten der Register-Transfer-Ebene sind Register, Schaltnetze, Speicher 
% und n-Bit breite Verbindungen.  Die innere Struktur dieser Komponenten bleibt offen.  
% Nur ihr Verhalten muss festgelegt sein.  Entsprechend ist nicht das Bit die zu betrachtende 
% Dateneinheit sondern das  {\fontname{Courier}k}-Bit-Wort, wo  {\fontname{Courier}k}  innerhalb einer Struktur an verschiedenen 
% Verbindungen sehr unterschiedlich sein kann.  In einem Schaltwerk sind z.B. die Anzahlen 
% der Bits fr die Eingabe  {\fontname{Courier}x} , die Ausgabe  {\fontname{Courier}y} und den Zustand  {\fontname{Courier}z} , im allgemeinen 
% unterschiedlich:
%
drawmealymoore
%
% Eine Strukturbeschreibung auf der Register-Transfer-Ebene nennt die Komponenten und 
% ihr Verhalten sowie die Verbindungsstruktur.  Dies kann hybrid graphisch/textuell erfolgen 
% wie z.B. das obige Schaltwerkmodell unter Hinzunahme der logischen Gleichungen fr die 
% beiden Schaltnetze oder von vornherein textuell in einer Hardware-Beschreibungssprache 
% wie VHDL.
% 
% Eine auf der Register-Transfer-Ebene beschriebene Struktur ist nicht automatisch eine 
% Komponente der Hauptblock-Ebene.  Vielmehr versucht man auch innerhalb der 
% Register-Transfer-Ebene eine Hierarchisierung durchzufhren.  Z.B. kann man mit 
% 8-Bit-Addierern und Multiplexern der Register-Transfer-Ebene schnelle 32-Bit-Addierer 
% zusammenfgen, die dann selbst wieder Komponenten auf der R-T-Ebene sind. 
%