%
%
%12.3  Busse  %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Datenleitungen werden klassifiziert in
%
% {\bfPunkt-zu-Punkt-Verbindungen}, deren Daten immer von derselben Quelle stammen, 
% z.B. von einem festgelegten Schaltnetz, und
%
% {\bfBusse}, deren Daten zu verschiedenen Zeiten (im Zeitmultiplex) von verschiedenen 
% Quellen an verschiedenen Orten auf die Datenleitung geschaltet werden.
% 
% Punkt-zu-Punkt-Verbindungen sind private Leitungen, die der Quelle zur Verteilung 
% ihrer Daten zur Verfgung stehen.  Im Falle eines Busses muss es eine Steuerung geben, 
% die den Zugriff auf den Bus verwaltet, damit maximal eine Quelle zur Zeit Daten auf den 
% Bus abgibt.  Andernfalls kann es Kollisionen geben mit der Folge von Hardwarezerstrung 
% oder wenigstens vorbergehend fehlerhaften Daten.
% 
% Der Bus-Zugang kann nicht ber logische Verknpfungsglieder erfolgen, weil er parallel 
% an verschiedenen Stellen erfolgt und dies das Parallelschalten von Verknpfungsgliedern 
% bedeuten wrde.  Wenn nmlich eine Quelle z.B. eine  0  auf den Bus gibt, reprsentiert 
% der Bus diese  0  und keine andere Quelle darf gleichzeitig eine  1  auf den Bus geben. 
% Jede logische Verknpfung liefert aber entweder  0  oder  1 .  Fr den Anschluss an einen 
% Bus sind deshalb neben den logischen Verknpfungen noch Schalter erforderlich, mit denen 
% die verschiedenen Quellen einzeln und in koordinierter Reihenfolge an den Bus angeschlossen
% werden knnen.  Das Empfangen der Daten vom Bus ist dagegen parallel fr alle Teilnehmer 
% mglich.
%
% Das folgende Bild stellt das Schema eines Busses dar.
%
drawbus(4)
%
%% Die Schalter knnen durch Mausklick auf den Teilnehmer geschaltet werden.
%