%
%
%12.8  Speicher  %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
% Unter Speichern versteht man im Gegensatz zu einem Register ein Gert, das mehrere 
% n-Bit-Binrwrter speichern kann.  Der Zugriff auf die Wrter erfolgt entweder seriell, 
% d.h. alle Wrter der vorgegebenen Reihe nach, oder man kann jeweils zur Zeit ein Wort 
% an einen ausgewhlten Platz einspeichern oder auslesen.  Die Angabe des Speicherplatzes 
% erfolgt dann durch Angabe einer binren Adresse.
%
% Speicher werden nach verschiedenen Kriterien klassifiziert:
%
% 1.  Nach der {\bfBeschreibbarkeit}:
%      {\bfROM}  Read Only Memory (Festwertspeicher)
%      {\bfPROM}  Programmable ROM (einmal schreibbar)
%      {\bfEPROM}  Erasable PROM (ausgebaut Lschen mglich)
%      {\bfEEPROM}  Electrically EPROM (eingebaut Lschen)
%      {\bfRAM}  Lesen und berschreiben jeder Zelle mglich
%
% 2.  Nach der {\bfFlchtigkeit} des Speicherinhalts:
%      >100 a :   ROM, PROM
%      ca. 10 a : EPROM, EEPROM
%      solange Stromversorgung EIN :  SRAM  statische RAM
%      wenige Millisekunden :  DRAM  dynamische RAM
%
% 3.  Nach der Art der {\bfZugriffsequenz}:
%      serieller Zugriff :  Floppy, HD, CD, CCD
%      beliebige Adressfolge : RAM  Random Access Memory
%      Zwischenformen :  EDO DRAM etc.
%
% 4.  Nach der {\bfZugriffszeit} (hier Grssenordnungen):
%      <1 ns :  Register
%      10 ns :  SRAM
%      50 ns :  DRAM
%      ms    :  HD....Floppy
%      s+    :  Magnetband
%
%% Verhaltensbeschreibungen und Graphiken der Speicherschemata werden noch eingefgt!
%