%
%
%7.4.3  Konjunktive Minimalform %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% In der konjunktiven Normalform verbleiben nur die Maxterme, die dort ihre Null 
% annehmen, wo der Funktionswert null ist.  Die Funktion wird wegen der Konjunktion 
% der Terme nur dort eins, wo smtliche Maxterme der Funktion eins sind.  Die 
% Minimimierung der konjunktiven Normalform erfolgt ganz entsprechend wie bei 
% der disjunktiven Normalform.  Allerdings werden nicht Gruppen von Einsen als 
% Schleifen definiert sondern Gruppen von benachbarten Nullen.  Wir erlutern 
% das Verfahren an folgendem einfachen Fall:
%
kvdiagram('(u&~v)|~w',{'u';'v';'w'})
%
% Die konjunktive Normalform ist
%
% (u\cupv\cupw') \cap (u\cupv'\cupw') \cap (u'\cupv'\cupw')   %<'FontName',MSVFORMFONT>
%
% Die beiden ersten Terme lassen sich zusammenfassen zu
%
% u\cup(v\cupv')\cupw'   %<'FontName',MSVFORMFONT>
%
% Wegen   {\fontname{Courier}v\cupv' = 1}   folgt daraus   {\fontname{Courier}u\cupw'} .
% Nach Duplizierung des zweiten Terms in der konjunktiven Normalform lsst sich 
% dieser mit dem letzten Term vereinen, so dass als konjunktive Minimalform 
% resultiert:
%
% (u\cupw') \cap (v'\cupw')   %<'FontName',MSVFORMFONT>
%
% Beim Ablesen der konjunktiven Minimalform aus den gewhlten Schleifen muss man
% alles dualisieren. 
%
kvdiagram( [ 0 1 1 0 0 0 1 0 0 1 1 1 0 0 0 0 ] , {'a';'b';'c';'d'} , [3 5] )
%
%% Wie im vorigen Abschnitt kann das Resultat durch Speichern mit der Taste r
%% geprft werden.
%