%
%
%7.4.4  Minimierung bei unvollstndiger Spezifikation %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-16,'Color',MSVTITLCOLOR>
%
%
%
% Eine unvollstndige Spezifikation liegt dann vor, wenn die Funktionswerte nicht 
% fr alle mglichen Kombinationen der binren Variablen festgelegt sind.  Das ist 
% dann der Fall, wenn gewisse Variablenkombinationen beim vorgesehenen Einsatz 
% gar nicht vorkommen knnen.  Als Beispiel nehmen wir die Schaltfunktion, die 
% fr binr codierte Dezimalziffern angeben soll, ob die Ziffer durch  3  teilbar 
% ist.  Die Funktionswerte fr sechs Eingabekombinationen sind irrelevant.  Wir 
% knnen diese Funktionswerte bei der Minimierung nach Belieben so setzen, dass 
% mglichst groe Schleifen entstehen.  Die irrelevanten Stellen, sog. Don't-Care-
% Punkte, werden im KV-Diagramm durch Sterne anstelle der  0  bzw.  1  markiert. 
% In den numerischen Funktionstabellen benutzen wir wegen der einfacheren Realisierung 
% anstelle der Sterne den numerischen Wert  -1 .  Das oben genannte Beispiel 
% sieht dann so aus:
%
kvdiagram( [0 0 0 1 0 0 1 0 0 1 -1 -1 -1 -1 -1 -1] , {'a';'b';'c';'d'} ,[5 2])
%
%% Wie in den vorigen Abschnitten kann das Resultat mit der Taste r geprft werden.
%
% Die selbe Schaltfunktion kann natrlich auch als konjunktive Minimalform 
% realisiert werden.
%
%% Tippen Sie nach der Generierung des KV-Diagramms zunchst die Taste "k", um
%% Nullen als Schleifen whlen zu knnen:
%
kvdiagram( [0 0 0 1 0 0 1 0 0 1 -1 -1 -1 -1 -1 -1] , {'a';'b';'c';'d'} ,[2 3])
%
% Die konjunktive Minimalform ist in diesem Fall etwas einfacher als die disjunktive.
% Wie zu erwarten sind dabei die Funktionswerte an den Don'tCare-Stellen bei beiden 
% Realisierungen verschieden.
%