function d = treedepth(tree)
% d = treedepth(tree)
% Tiefe eines als CellArray vorliegenden Baumes
% Beispiel:  treedepth({{1;0};0}) => 2

% Autor:  Klaus von der Heide,  v.d.heide@on-line.de

%if ~iscell(x)   % alte Version fr Binrbume 
%   d = 0;
%else
%   d = 1 + max(treedepth(x{1}),treedepth(x{2}));
%end

d = 0;
if iscell(tree)
   for k=1:length(tree)  d = max(d,1+treedepth(tree{k})); end
end
   